OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaRepresentationItem Class Reference

Representation of STEP entity FeaRepresentationItem
.

`#include <StepFEA_FeaRepresentationItem.hxx>`

Inheritance diagram for StepFEA_FeaRepresentationItem:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_FeaRepresentationItem ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaRepresentationItem::StepFEA_FeaRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_FeaRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem. Reimplemented in StepFEA_AlignedCurve3dElementCoordinateSystem, StepFEA_AlignedSurface3dElementCoordinateSystem, StepFEA_ArbitraryVolume3dElementCoordinateSystem, StepFEA_ConstantSurface3dElementCoordinateSystem, StepFEA_ParametricCurve3dElementCoordinateDirection, StepFEA_ParametricCurve3dElementCoordinateSystem, and StepFEA_ParametricSurface3dElementCoordinateSystem.

The documentation for this class was generated from the following file:

- StepFEA_FeaRepresentationItem.hxx